- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.ListMediaPlannersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list#try-it)

Lists all media planner accounts that the caller has access to.

For curators, this will return all media planners that have accepted curator terms.

For other accounts, attempting to list media planners will return an error.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1beta/mediaPlanners`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of media planners to return. If unspecified, at most 100 media planners will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` A token identifying a page of results the server should return. This value is received from a previous `mediaPlanners.list` call in `ListMediaPlannersResponse.nextPageToken`. |
| `filter` | `string` Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/list-filters). Supported columns for filtering are: - `name` - `displayName` - `ancestorNames` |

### Request body

The request body must be empty.

### Response body

A response containing media planner account information.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaPlanners": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/MediaPlanner`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `mediaPlanners[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/MediaPlanner`)`` List of media planners. |
| `nextPageToken` | `string` A token which can be passed to a subsequent call to the `mediaPlanners.list` method to retrieve the next page of results in `ListMediaPlannersRequest.pageToken`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`